LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)

LOCAL_SRC_FILES:= \
    common.c \
    config.c \
    ctrl_iface.c \
    drivers.c \
    driver_wext.c \
    eloop.c \
    l2_packet_linux.c \
    wapi_asue.c \
    wapi_asue_retry.c \
    wapi.c \
    wapi_config.c \
    main.c \
    wapi_sm.c

LOCAL_C_INCLUDES += $(LOCAL_PATH)/include

LOCAL_CFLAGS += -Wall -fsigned-char -O2
DRIVER_WEXT = yes
ifeq ($(DRIVER_WEXT),yes)
    LOCAL_CFLAGS += -DCONFIG_DRIVER_WEXT
endif

#please note: libiwnwai_asue should be in the front of libecc
LOCAL_STATIC_LIBRARIES := libiwnwai_asue libsms4 libecc

LOCAL_MODULE := wapi_supplicant
include $(BUILD_EXECUTABLE)



local_target_dir := $(TARGET_OUT)/etc/wapi

include $(CLEAR_VARS)
LOCAL_MODULE := wapi_supplicant.conf
LOCAL_MODULE_TAGS := user development
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(local_target_dir)
LOCAL_SRC_FILES := $(LOCAL_MODULE)
include $(BUILD_PREBUILT)

